Bug 1616093 (CVE-2018-14953) - CVE-2018-14953 squirrelmail: persistent XSS in message display via a "<math xlink:href="
Summary: CVE-2018-14953 squirrelmail: persistent XSS in message display via a "<math x...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-14953
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1616095 1616094
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-14 22:39 UTC by Laura Pardo
Modified: 2019-09-29 14:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-14 22:40:17 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-08-14 22:39:48 UTC
The mail message display page in SquirrelMail through 1.4.22 has XSS via a "<math xlink:href=" attack.


Upstream bug:
https://sourceforge.net/p/squirrelmail/bugs/2831/

References:
http://www.openwall.com/lists/oss-security/2018/07/26/2
https://github.com/hannob/squirrelpatches

Comment 1 Laura Pardo 2018-08-14 22:39:56 UTC
Statement:

This issue affects the versions of squirrelmail as shipped with Red Hat Enterprise Linux 5. Red Hat Enterprise Linux 5 is now in Extended Life Phase of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 2 Laura Pardo 2018-08-14 22:40:18 UTC
Created squirrelmail tracking bugs for this issue:

Affects: epel-all [bug 1616095]
Affects: fedora-all [bug 1616094]


Note You need to log in before you can comment on or make changes to this bug.